<?php
/**
 *
 * @author  ahrasis	http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod		Justify BBC
 *
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function JustifyBBC(array &$codes)
{
	// Add bbc code(s)
	$codes[] = array(
		'tag' => 'justify',
				'before' => '<div style="text-align: justify;">',
				'after' => '</div>',
				'block_level' => true,
	);
}

function JustifyBBC_Button(&$bbc_tags)
{
	global $txt;
	
	// Load language(s)
	loadLanguage('JustifyBBC');

	// Add bbc button(s)
	$justify_bbc = array();
	foreach ($bbc_tags[1] as $tag)
	{
		$justify_bbc[] = $tag;

		if (isset($tag['image']) && $tag['image'] == 'code')
		{
			$justify_bbc[] = array(
				'image' => 'JustifyBBC',
				'code' => 'justify',
				'before' => '[justify]',
				'after' => '[/justify]',
				'description' => $txt['justify']
			);

			$justify_bbc[] = array();
		}
	}

	$bbc_tags[1] = $justify_bbc;
}

?>